package gmt.protocol.ext.VO;

import gmt.common.util.GmtUtils;

import java.time.LocalDateTime;

public class NewExtHeaderVO {
	private PResultVO pResultVO;
	private String startFlag;
	private String pID;
	private String VTSID;
	private String BSID;
	private LocalDateTime packetTime;
	private int timeStamp;
	private int dualCode;
	private int seq1;
	private int seq2;
	private int timeSyncCode;
	
	public NewExtHeaderVO() {
		this.pResultVO    = new PResultVO();
		this.startFlag    = "";
		this.pID          = "";
		this.VTSID        = "";
		this.BSID         = "";
		this.packetTime   = GmtUtils.defaultTime();
		this.timeStamp    = 99;
		this.dualCode     = 9;
		this.seq1         = 0;
		this.seq2         = 0;
		this.timeSyncCode = 9;
	}

	public PResultVO getpResultVO() {
		return pResultVO;
	}

	public void setpResultVO(PResultVO pResultVO) {
		this.pResultVO = pResultVO;
	}

	public String getStartFlag() {
		return startFlag;
	}

	public void setStartFlag(String startFlag) {
		this.startFlag = startFlag;
	}

	public String getpID() {
		return pID;
	}

	public void setpID(String pID) {
		this.pID = pID;
	}

	public String getVTSID() {
		return VTSID;
	}

	public void setVTSID(String vTSID) {
		VTSID = vTSID;
	}

	public String getBSID() {
		return BSID;
	}

	public void setBSID(String bSID) {
		BSID = bSID;
	}

	public LocalDateTime getPacketTime() {
		return packetTime;
	}

	public void setPacketTime(LocalDateTime packetTime) {
		this.packetTime = packetTime;
	}

	public int getTimeStamp() {
		return timeStamp;
	}

	public void setTimeStamp(int timeStamp) {
		this.timeStamp = timeStamp;
	}

	public int getDualCode() {
		return dualCode;
	}

	public void setDualCode(int dualCode) {
		this.dualCode = dualCode;
	}

	public int getSeq1() {
		return seq1;
	}

	public void setSeq1(int seq1) {
		this.seq1 = seq1;
	}

	public int getSeq2() {
		return seq2;
	}

	public void setSeq2(int seq2) {
		this.seq2 = seq2;
	}

	public int getTimeSyncCode() {
		return timeSyncCode;
	}

	public void setTimeSyncCode(int timeSyncCode) {
		this.timeSyncCode = timeSyncCode;
	}
	

}
